<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		function mostrar(){
			var contador;
			var vector=[];

			vector=document.f1.texto; // Llego hasta los inputs

			for (contador=0;contador<6;contador++){
					document.write(vector[contador].value); // Cuidado que es un array de inputs por eso necesito el .value para acceder al valor. los lee en el orden que estén como hace el querySelectorAll
					document.write("<br>");
			}
	}

	</script>
</head>
<body>
	<form name="f1">
		<input type="text" name="texto">
		<input type="text" name="texto">
		<input type="text" name="texto">
		<input type="text" name="texto">
		<input type="text" name="texto">
		<input type="text" name="texto">
		<input type="button" name="boton" value="Pulsar" onclick="mostrar()">

	</form>

</body>
</html>